Name:           atomix
Version:        2.14.0
Release:        16%{?dist}
Summary:        Puzzle game: Build molecules out of isolated atoms

Group:          Amusements/Games
License:        GPLv2+
URL:            http://jens.triq.net/atomix.php
Source0:        http://ftp.gnome.org/pub/GNOME/sources/atomix/2.14/atomix-2.14.0.tar.bz2

Patch0:         %{name}-about-dlg-close-button.patch

BuildRequires:  gettext
BuildRequires:  perl-XML-Parser
BuildRequires:  desktop-file-utils
BuildRequires:  libgnomeui-devel >= 2.0

%description
Atomix is yet another little mind game. You have to build molecules out of
single atoms laying around. Of course there is a time limit and the handling is
not as easy as you might expect ;-). This game is inspired by the original
Amiga game Atomix and uses the GNOME libraries.


%prep
%setup -q

%patch0 -p1

%build
export LDFLAGS="${LDFLAGS} -lm"
%configure
# gnome bz#334319 -- translations don't get built; workaround that
sed  -i 's!^SOURCES = !&\n'"$(grep "^CATALOGS" po/Makefile.in)"'!' po/Makefile
make %{?_smp_mflags}


%install
%make_install
%find_lang %{name}

# move scorefile to proper place
mkdir -p ${RPM_BUILD_ROOT}/%{_localstatedir}/lib/
mv ${RPM_BUILD_ROOT}%{_localstatedir}/games ${RPM_BUILD_ROOT}%{_localstatedir}/lib/

desktop-file-install \
   --dir $RPM_BUILD_ROOT%{_datadir}/applications \
   --delete-original \
   --add-category LogicGame \
   --remove-category PuzzleGame \
   ${RPM_BUILD_ROOT}%{_datadir}/applications/atomix.desktop

%files -f %{name}.lang
%doc AUTHORS COPYING ChangeLog NEWS README
%attr(2755,games,games) %{_bindir}/atomix
%{_datadir}/atomix
%{_datadir}/pixmaps/atomix-icon.png
%{_datadir}/gnome-2.0/ui/atomix-ui.xml
%{_datadir}/applications/atomix.desktop
%verify(not md5 size mtime) %config(noreplace) %attr(0664,games,games) %{_localstatedir}/lib/games/atomix.scores

%changelog
* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.14.0-16
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sun Feb 10 2013 Rahul Sundaram <sundaram@fedoraproject.org> - 2.14.0-15
- remove vendor tag from desktop file. https://fedorahosted.org/fpc/ticket/247
- clean up spec to follow current guidelines

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.14.0-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Mar 30 2012 Jaromir Capik <jcapik@redhat.com> - 2.14.0-13
- FIX: Close button in the about dialog doesn't work

* Thu Jan 12 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.14.0-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Dec 06 2011 Adam Jackson <ajax@redhat.com> - 2.14.0-11
- Rebuild for new libpng

* Tue Mar 15 2011 Hans de Goede <hdegoede@redhat.com> - 2.14.0-10
- Don't overwrite highscore file on upgrades (rhbz#685109)

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.14.0-9.1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sat Feb 13 2010 Thorsten Leemhuis <fedora[AT]leemhuis[DOT]info> - 2.14.0-8
- Add -lm to linker flags to fix ImplicitDSOLinking (#565165)

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.14.0-7.1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Mon Feb 23 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.14.0-6.1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Nov 20 2008 Thorsten Leemhuis <fedora[AT]leemhuis[DOT]info> - 2.14.0-5
- Adjust summmary

* Sat Feb 09 2008 Thorsten Leemhuis <fedora[AT]leemhuis[DOT]info> - 2.14.0-4
- rebuilt

* Fri Aug 10 2007 Thorsten Leemhuis <fedora [AT] leemhuis [DOT] info> - 2.14.0-3
- fix some misspelled words in description

* Fri Aug 03 2007 Thorsten Leemhuis <fedora [AT] leemhuis [DOT] info>
- Update License field due to the "Licensing guidelines changes"

* Sun Sep 03 2006 Thorsten Leemhuis <fedora [AT] leemhuis [DOT] info> - 2.14.0-2
- workaround gnome bz#334319 -- translations don't get built; 

* Sat Sep 02 2006 Thorsten Leemhuis <fedora [AT] leemhuis [DOT] info> - 2.14.0-1
- initial creation
